import java.awt.*;

public class TileCanvas extends Canvas
{
    SolTile tile = null;
    
    TileCanvas( SolTile tile )
    {
        this.tile = tile;
        
        setSize( tile.getSize() );
    }
    
    void setTile( SolTile tile )
    {
        this.tile = tile;
    }

    SolTile getTile()
    {
        return tile;
    }
    
    public Dimension getPreferredSize()
    {
        return tile.getSize();
    }
    
    public Dimension getMinimumSize()
    {
        return tile.getSize();
    }
    
    public Dimension getMaximumSize()
    {
        return tile.getSize();
    }
    
    public void repaint()
    {
        super.repaint();
    }
    
    public void paint(Graphics g)
    {
        // copy image to canvas
        g.drawImage( SolEditor.solTiles[0].getImage(), 0, 0, this );
        if ( tile.getImage() != SolEditor.solTiles[0].getImage() )
        {
            g.drawImage( tile.getImage(), 0, 0, this );
        }
    }
}